import { Canvas, CanvasView } from '@nativescript-community/ui-canvas';
import { Observable } from '@nativescript/core';
import { CanvasRenderingContext2D } from './contexts/CanvasRenderingContext2D';
import { ImageBitmapRenderingContext } from './contexts/ImageBitmapRenderingContext';
declare class NSHTMLCanvasElement extends Observable {
    private readonly _canvasViewRef;
    private readonly _contextRef;
    private _context;
    constructor(canvasView?: CanvasView, canvasContext?: Canvas);
    getContext(contextId: '2d'): CanvasRenderingContext2D | null;
    getContext(contextId: 'bitmaprenderer'): ImageBitmapRenderingContext | null;
    get view(): CanvasView;
    get nativeContext(): Canvas;
    get width(): number;
    set width(val: number);
    get height(): number;
    set height(val: number);
}
export { NSHTMLCanvasElement as HTMLCanvasElement };
