interface TextMetricsData {
    width: number;
    actualBoundingBoxLeft: number;
    actualBoundingBoxRight: number;
    actualBoundingBoxAscent: number;
    actualBoundingBoxDescent: number;
    fontBoundingBoxAscent: number;
    fontBoundingBoxDescent: number;
    hangingBaseline: number;
    ideographicBaseline: number;
    emHeightAscent: number;
}
declare class NSTextMetrics {
    private _data;
    constructor(data?: TextMetricsData);
    get width(): number;
    get actualBoundingBoxLeft(): number;
    get actualBoundingBoxRight(): number;
    get actualBoundingBoxAscent(): number;
    get actualBoundingBoxDescent(): number;
    get fontBoundingBoxAscent(): number;
    get fontBoundingBoxDescent(): number;
    get emHeightAscent(): number;
    get emHeightDescent(): number;
    get hangingBaseline(): number;
    get alphabeticBaseline(): number;
    get ideographicBaseline(): number;
    toJSON(): TextMetricsData;
}
export { NSTextMetrics as TextMetrics };
