import { Align, Cap, FillType, Join, PorterDuffMode } from '@nativescript-community/ui-canvas';
import { CanvasCompositeOperation, FillRule, LineCap, LineJoin, TextAlignment, TextDirection } from '../CanvasTypes';
declare function degreesToRadians(degrees: number): number;
declare function radiansToDegrees(rad: number): number;
declare function normalizeVector(vector: number[]): number[];
declare function getVectorAngle(vector: number[]): number;
declare function getNativeCompositeOperation(op: CanvasCompositeOperation): PorterDuffMode;
declare function getNativeFillRule(fillRule: FillRule): FillType;
declare function getNativeTextAlignment(alignment: TextAlignment, direction: TextDirection): Align;
declare function getNativeLineCap(lineCap: LineCap): Cap;
declare function getNativeLineJoin(lineJoin: LineJoin): Join;
export { degreesToRadians, radiansToDegrees, normalizeVector, getVectorAngle, getNativeCompositeOperation, getNativeFillRule, getNativeTextAlignment, getNativeLineCap, getNativeLineJoin };
