import { HTMLCanvasElement } from './HTMLCanvasElement';
const canvasElementMap = new WeakMap();
function getOrCreateHTMLCanvasElement(view, canvas) {
    if (canvasElementMap.has(view)) {
        return canvasElementMap.get(view);
    }
    const element = new HTMLCanvasElement(view, canvas);
    canvasElementMap.set(view, element);
    return element;
}
export { getOrCreateHTMLCanvasElement };
//# sourceMappingURL=contextMapping.js.map