import { AbstractRenderingContext } from './AbstractRenderingContext';
class NSImageBitmapRenderingContext extends AbstractRenderingContext {
    constructor(element) {
        super(element);
    }
    transferFromImageBitmap(imageSource) {
        const nativeContext = this._canvasElement.nativeContext;
        if (nativeContext) {
            nativeContext.drawBitmap(imageSource, 0, 0, null);
        }
    }
}
export { NSImageBitmapRenderingContext as ImageBitmapRenderingContext };
//# sourceMappingURL=ImageBitmapRenderingContext.js.map